<?php

function drk_allowed_post_type_blocks( $allowed_block_types, $editor_context ) {
    if ( $editor_context->post ) {
        return array(
            'core/paragraph',
            'core/image',
            'core/heading',
            'core/list',
            'core/quote',
            'core/editor',
            'core/link'

        );
    }

    return $editor_context;
}
add_filter( 'allowed_block_types_all', 'drk_allowed_post_type_blocks', 10, 2 );